Groovy 1.7.0

## org.codehaus.groovy.control.messages
Class Message

    java.lang.Object
      org.codehaus.groovy.control.messages.Message

    class Message
    extends Object

A base class for compilation messages.

author:
  Chris Poirier

version:
  $Id: Message.java 14269 2008-12-04 16:06:13Z blackdrag $

Constructor Summary
`Message()`

Method Summary
`static Message` | `create(String text, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(String text, Object data, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(SyntaxException error, SourceUnit owner)` Creates a new Message from the specified SyntaxException.
`void` | `write(PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.
`void` | `write(PrintWriter writer)` A synonym for write( writer, owner, null ).

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Message

    Message()

Method Detail

### create

    public static Message create(String text, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(String text, Object data, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(SyntaxException error, SourceUnit owner)

  Creates a new Message from the specified SyntaxException.

### write

    public void write(PrintWriter writer, Janitor janitor)

  Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

### write

    public final void write(PrintWriter writer)

  A synonym for write( writer, owner, null ).

Copyright © 2003-2009 The Codehaus. All rights reserved.